<style>
@import url('https://fonts.googleapis.com/css2?family=Alfa+Slab+One&display=swap');
</style>

<video muted
       playsinline
       autoplay
       loop
       id="video">
	<source src="./img/video.mp4"
	        type="video/mp4">
	Your browser does not support the video tag.
</video>


<table id="Page_table">
	<tr>
		<td align="center"> 
			<p>&nbsp;</p>
			<p>&nbsp;</p>
                        <div id="name_font">
                                <!--<img src="img/martin_tittle.png" alt="martin_tittle">-->
                                <!--div> <?php echo $global->title; ?> </div>-->
				<div id = "tittle_wapper"> Martin Fencl </div>
			</div> 

                        <!--<font size="7"><p><a href="https://www.italki.com/post/question-101501">Pro Klárku, <b>klikni</b></a></p></font>-->



                        <table id="social"> <tr> 
                    <?php
                    for ($i=0; $i<count($global->social_buttons);$i++)
                    {
                        if($global->social_buttons[$i][0]=="FAwesome")
                        {
                            echo '<td> <a class="'.$global->social_buttons[$i][1].' smGlobalBtn" href="'.$global->social_buttons[$i][2].'" target="_blanket"></a> </td>';
                        }
                        else
                        {
                            echo '<td>';

                            if($global->social_buttons[$i][2]!="")
                                echo '<a href="'.$global->social_buttons[$i][2].'">';

                            echo '<div class="GlobalBtn"><table class="GlobalBtnTable"><tr><td align="center"><img src="img/'.$global->social_buttons[$i][1].'"></td></tr></table></div>';

                            if($global->social_buttons[$i][2]!="")
                                echo '</a>';

                            echo '</td>';
                        }

                    }


                    ?>

					<td>
						<a id="Phone_btn" class="phoneBtn smGlobalBtn" onclick="copyNumber()"></a>
						<div id="Page_info">
							<div id="Page_info_ext">
                                <?php

                                for ($i=0; $i<count($global->phone_list);$i++)
                                {
                                    echo "Mob. telefon: " . $global->phone_list[$i] ." <br>";
                                }

                                ?>
				<div><small>click to copy</small></div>
				
								<div id="Page_info_ext_arrow_rotate"></div>
							</div>
						</div>
					</td>
					<td>
						<a id="Bank_btn" class="bankBtn smGlobalBtn" onclick="copyBankAccount()"></a>
						<div id="Bank_info">
							<div id="Bank_info_ext">
								     107-9266680227/0100
								<img src="img/qr_banka_mf.png" alt="Bank Account">
									<div><small>click to copy</small></div>
								<div id="Bank_info_ext_arrow_rotate">
								</div>
							</div>
						</div>

					</td>



				</tr>
			</table>
			<table>
				<p>&nbsp;</p>
				<p>&nbsp;</p>				
				<p>&nbsp;</p>
				<p>&nbsp;</p>
				<p>&nbsp;</p> 
				<p>&nbsp;</p>
				<p>&nbsp;</p>
				<form method="get" action="/about_me"> 
					<button class="name noselect">about me</button>
				</form>
			</table>
		</td>
	</tr>
</table>


<div id="Qr_home">
	<div id="Qr_title">
		Litewallet
	</div>
	<img src="img/qr-code.png" alt="Litewallet">
</div>
<div id="clipboard"></div>


<script>

	$("#Page_info_ext").hide();

	$("#Phone_btn").hover(function(){
		$("#Page_info_ext").stop().fadeIn(300);
	}, function(){
		$("#Page_info_ext").stop().fadeOut(300);
	});

	$("#Bank_info_ext").hide();

	$("#Bank_btn").hover(function(){
		$("#Bank_info_ext").stop().fadeIn(300);
	}, function(){
		$("#Bank_info_ext").stop().fadeOut(300);
	});

	function copyNumber() {
		copyToClipboard('<?php echo $global->phone_list[0]; ?>');
		alert("phone copied to clipboard")	
	}

	function copyBankAccount() {
		copyToClipboard('107-9266680227/0100');
		alert("bank copied to clipboard")
	}
	
	function copyToClipboard(data) {
		var id = 'generated_' + Math.floor((Math.random() * 100) + 1);

		$("#clipboard").append($("<input>").attr('id', id).val(data));

		document.getElementById(id).select();

		document.execCommand('copy');

		$("#" + id).remove();
	}

</script>
